Update Tag

Update tag properties

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The unique identifier of the organization.
project_idstringRequiredformat: "uuid"
The unique identifier of the project.
entity_typeenumRequired

The type of entity this tag applies to (task, task_revision, task_share, skill, or task_agent_revision).

Allowed values:
tag_idstringRequiredformat: "uuid"

The unique identifier (UUID) of the tag to operate on.

Request

This endpoint expects an object.
namestring or nullOptional

Alphanumeric name for the tag (max 15 characters). Used to organize and filter Tasks and Task Revisions.

parent_idstring or nullOptionalformat: "uuid"

Optional UUID of a parent tag. Used to create hierarchical tag structures (e.g., staging under production).

Response

Tag updated successfully
namestring

Alphanumeric name for the tag (max 15 characters). Used to organize and filter Tasks and Task Revisions.

entity_typeenum

The type of entity this tag applies to (task, task_revision, task_share, skill, or task_agent_revision)

idstringformat: "uuid"
Unique identifier for the tag.
created_atstring
ISO 8601 timestamp when the tag was created.
is_project_tagboolean

When true, indicates this is a project-level tag that can be used across multiple entity types.

is_global_tagboolean
When true, indicates this is a global tag that is not scoped to a project.
parent_idstring or nullformat: "uuid"

Optional UUID of a parent tag. Used to create hierarchical tag structures (e.g., staging under production).

project_idstring or nullformat: "uuid"
Project this tag belongs to. Null means the tag is global.
childrenlist of objects
List of child tags if this tag is used as a parent in a hierarchical structure.
tagged_entitieslist of strings
List of entity IDs this tag is associated with.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error